/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: CMIPropertyHelper.java 1659 2008-03-07 17:46:48Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.config;

/**
 * Provides convenient static methods to manipulate {@link CMIProperty}.
 * @author The new CMI team
 */
public final class CMIPropertyHelper {

    /**
     * Utility class, no constructor.
     */
    private CMIPropertyHelper() {

    }

    /**
     * @param propertyName a name of property
     * @return true if the given name is a name of property
     */
    public static boolean containProperty(final String propertyName) {
        for(CMIProperty cmiProperty : CMIProperty.values()) {
            if(cmiProperty.getPropertyName().equals(propertyName)) {
                return true;
            }
        }
        return false;
    }

}
